#ifndef LEFTWIDGET_H
#define LEFTWIDGET_H

#include <QWidget>
#include <QDockWidget>
#include <qtreewidget.h>
#include <QTreeWidgetItem>

class LeftWidget:public QDockWidget
{
    Q_OBJECT
public:
    LeftWidget(QWidget *parent = nullptr);

    void reloadFileName();
signals:
    void sigSendAnalysisFileName(const QString&);
private:
    void initData();
    void initFileName(QTreeWidgetItem*,const QString &folderPath);
    void expandAll(QTreeWidgetItem* item);
    void clearAllChildItems(QTreeWidgetItem* parentItem);
private slots:
    void slotTreeWidgetItemClicked(QTreeWidgetItem *item, int column);
private:
    QTreeWidget *_treeWidget;
    QTreeWidgetItem *_analysisStateItem,
    *_baseLineItem,
    *_sampleDataItem;
};

#endif // LEFTWIDGET_H
